# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapOfStyleTransient Class Reference

`#include <XCAFPrs_DataMapOfStyleTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFPrs_DataMapOfStyleTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT XCAFPrs_DataMapOfStyleTransient & | Assign (const XCAFPrs_DataMapOfStyleTransient &Other)
XCAFPrs_DataMapOfStyleTransient & | operator= (const XCAFPrs_DataMapOfStyleTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~XCAFPrs_DataMapOfStyleTransient ()
Standard_EXPORT Standard_Boolean | Bind (const XCAFPrs_Style &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const XCAFPrs_Style &K) const
Standard_EXPORT Standard_Boolean | UnBind (const XCAFPrs_Style &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const XCAFPrs_Style &K) const
const Handle_Standard_Transient & | operator() (const XCAFPrs_Style &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const XCAFPrs_Style &K)
Handle_Standard_Transient & | operator() (const XCAFPrs_Style &K)

## Private Member Functions

Standard_EXPORT | XCAFPrs_DataMapOfStyleTransient (const XCAFPrs_DataMapOfStyleTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT XCAFPrs_DataMapOfStyleTransient::XCAFPrs_DataMapOfStyleTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

XCAFPrs_DataMapOfStyleTransient::~XCAFPrs_DataMapOfStyleTransient | ( |  | ) | `[inline]`

Standard_EXPORT XCAFPrs_DataMapOfStyleTransient::XCAFPrs_DataMapOfStyleTransient | ( | const XCAFPrs_DataMapOfStyleTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT XCAFPrs_DataMapOfStyleTransient& XCAFPrs_DataMapOfStyleTransient::Assign | ( | const XCAFPrs_DataMapOfStyleTransient & | Other | ) |

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfStyleTransient::Bind | ( | const XCAFPrs_Style & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& XCAFPrs_DataMapOfStyleTransient::ChangeFind | ( | const XCAFPrs_Style & | K | ) |

Standard_EXPORT void XCAFPrs_DataMapOfStyleTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& XCAFPrs_DataMapOfStyleTransient::Find | ( | const XCAFPrs_Style & | K | ) | const

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfStyleTransient::IsBound | ( | const XCAFPrs_Style & | K | ) | const

void XCAFPrs_DataMapOfStyleTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFPrs_DataMapOfStyleTransient::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFPrs_DataMapOfStyleTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& XCAFPrs_DataMapOfStyleTransient::operator() | ( | const XCAFPrs_Style & | K | ) | `[inline]`

const Handle_Standard_Transient& XCAFPrs_DataMapOfStyleTransient::operator() | ( | const XCAFPrs_Style & | K | ) | const`[inline]`

XCAFPrs_DataMapOfStyleTransient& XCAFPrs_DataMapOfStyleTransient::operator= | ( | const XCAFPrs_DataMapOfStyleTransient & | Other | ) | `[inline]`

Standard_EXPORT void XCAFPrs_DataMapOfStyleTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfStyleTransient::UnBind | ( | const XCAFPrs_Style & | K | ) |

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapOfStyleTransient.hxx